org.codehaus.plexus.configuration.xml

## Class XmlPlexusConfiguration

- java.lang.Object
- - org.codehaus.plexus.configuration.xml.XmlPlexusConfiguration

All Implemented Interfaces:
  PlexusConfiguration

    public class XmlPlexusConfiguration
    extends Object
    implements PlexusConfiguration

Version:
  $Id: XmlPlexusConfiguration.java 1747 2005-04-19 05:38:54Z brett $

### Constructor Summary

Constructors
Constructor and Description
`XmlPlexusConfiguration(String name)`
`XmlPlexusConfiguration(Xpp3Dom dom)`

### Method Summary

Methods
`void` `addAllChildren(PlexusConfiguration other)`
`void` `addChild(PlexusConfiguration configuration)`
`String` `getAttribute(String name)`
`String` `getAttribute(String name, String defaultValue)`
`String[]` `getAttributeNames()`
`PlexusConfiguration` `getChild(int i)`
`PlexusConfiguration` `getChild(String name)`
`PlexusConfiguration` `getChild(String name, boolean createChild)`
`int` `getChildCount()`
`PlexusConfiguration[]` `getChildren()`
`PlexusConfiguration[]` `getChildren(String name)`
`String` `getName()`
`String` `getValue()`
`String` `getValue(String defaultValue)`
`Xpp3Dom` `getXpp3Dom()`
`void` `setAttribute(String name, String value)`
`void` `setValue(String value)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### XmlPlexusConfiguration

    public XmlPlexusConfiguration(String name)

#### XmlPlexusConfiguration

    public XmlPlexusConfiguration(Xpp3Dom dom)

### Method Detail

#### getXpp3Dom

    public Xpp3Dom getXpp3Dom()

#### getName

    public String getName()

Specified by:
  `getName` in interface `PlexusConfiguration`

#### getValue

    public String getValue()

Specified by:
  `getValue` in interface `PlexusConfiguration`

#### getValue

    public String getValue(String defaultValue)

Specified by:
  `getValue` in interface `PlexusConfiguration`

#### setValue

    public void setValue(String value)

#### setAttribute

    public void setAttribute(String name,
                    String value)

#### getAttribute

    public String getAttribute(String name,
                      String defaultValue)

Specified by:
  `getAttribute` in interface `PlexusConfiguration`

#### getAttribute

    public String getAttribute(String name)

Specified by:
  `getAttribute` in interface `PlexusConfiguration`

#### getAttributeNames

    public String[] getAttributeNames()

Specified by:
  `getAttributeNames` in interface `PlexusConfiguration`

#### getChild

    public PlexusConfiguration getChild(String name)

Specified by:
  `getChild` in interface `PlexusConfiguration`

#### getChild

    public PlexusConfiguration getChild(int i)

Specified by:
  `getChild` in interface `PlexusConfiguration`

#### getChild

    public PlexusConfiguration getChild(String name,
                               boolean createChild)

Specified by:
  `getChild` in interface `PlexusConfiguration`

#### getChildren

    public PlexusConfiguration[] getChildren()

Specified by:
  `getChildren` in interface `PlexusConfiguration`

#### getChildren

    public PlexusConfiguration[] getChildren(String name)

Specified by:
  `getChildren` in interface `PlexusConfiguration`

#### addChild

    public void addChild(PlexusConfiguration configuration)

Specified by:
  `addChild` in interface `PlexusConfiguration`

#### addAllChildren

    public void addAllChildren(PlexusConfiguration other)

#### getChildCount

    public int getChildCount()

Specified by:
  `getChildCount` in interface `PlexusConfiguration`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`